mintbackup (2.3.9) ulyana; urgency=medium

  * Fix wrong tarfile.add call argument

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Mar 2020 11:37:15 +0100

mintbackup (2.3.8) tina; urgency=medium

  * Remove Python 3.6 code

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Aug 2019 11:32:58 +0200

mintbackup (2.3.7) tina; urgency=medium

  * Pkg restore: Support space delimiters
  * Package restore: Skip line on error
  * Package restore: Fix case when package is in the cache but has no candidate

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 Jul 2019 11:21:06 +0200

mintbackup (2.3.6) tina; urgency=medium

  [ gm10 ]
  * Remove trailing semi-colon (#61)
  * Fix markup escaping (#62)
  * Fix transient parent warnings, toplevel changed to GtkWindow class (#63)

  [ Clement Lefebvre ]
  * UI: Fix spacing in button box

  [ gm10 ]
  * Fix high memory usage and eventual crash when restoring a .list (#64)
  * Automatically generate list of manually installed packages if possible (#60)
  * Use apt_pkg directly instead of python-apt for performance improvement (#65)

  [ Clement Lefebvre ]
  * l10n: Update POT
  * Fix duplicates in excluded paths
  * Don't let users remove the backup directory from the list of excluded paths

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 30 Jun 2019 15:42:59 +0200

mintbackup (2.3.5) tessa; urgency=medium

  [ Sipho Mateke ]
  * Fix parsing mintinstall packages (#57)

  [ Clement Lefebvre ]
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 28 Nov 2018 12:07:34 +0000

mintbackup (2.3.4) tara; urgency=medium

  * Fix package restoration

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 16 Jun 2018 11:16:53 +0200

mintbackup (2.3.3) tara; urgency=medium

  [ Clement Lefebvre ]
  * Remove manifests

  [ PaulXiCao ]
  * added the create folder option (issue #50) (#53)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 May 2018 12:28:36 +0100

mintbackup (2.3.2) sylvia; urgency=medium

  * UI: Fix folder-home icon -> user-home

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 29 Nov 2017 12:27:49 +0000

mintbackup (2.3.1) sylvia; urgency=medium

  * Main screen: Change icon for personal data to folder-home.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 21 Nov 2017 12:38:44 +0000

mintbackup (2.3.0) sylvia; urgency=medium

  * l10n: Fix locale not set in UI

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Nov 2017 11:07:23 +0000

mintbackup (2.2.9) sylvia; urgency=medium

  [ Clement Lefebvre ]
  * Remove Close button
  * Complete Revamp (#42)
  * Rename software selections filename
  * Implement support for window progress
  * Set process title
  * Restoration: Add an option to overwrite existing files.
  * Create a use a backup directory
  * Don't allow duplicates in include/exclude lists
  * Fix software restoration
  * l10n: Update POT file

  [ JosephMcc ]
  * ui: Use consistent button styling (#46)

  [ Clement Lefebvre ]
  * l10n: Update POT file

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Oct 2017 13:03:54 +0100

mintbackup (2.2.8) sonya; urgency=medium

  [ aiglebleu ]
  * Pass on $HOME and $PATH to mintbackup
  * Fixed directory creation permissions.

  [ Clement Lefebvre ]
  * Fix mintbackup crashing when faced with a broken link
  * l10n: Generate desktop files

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 07 May 2017 13:34:50 +0100

mintbackup (2.2.7) serena; urgency=medium

  * Simplify imports
  * Fix gtk.gdk.X11Window has no attribute get_xid in LMDE

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 03 Jan 2017 14:33:28 +0000

mintbackup (2.2.6) serena; urgency=medium

  * Updated pot file
  * Software selection backup: Fix crash in 32-bit

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 22 Dec 2016 16:13:41 +0000

mintbackup (2.2.5) serena; urgency=medium

  [ JosephMcc ]
  * icons: Make all icons respect the users icon theme
  * Remove the mime type handling

  [ Clement Lefebvre ]
  * Regenerate desktop files

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 02 Nov 2016 13:58:12 +0000

mintbackup (2.2.4) sarah; urgency=medium

  [ aiglebleu ]
  * Fix restore counter incrementing twice per file

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 17 Aug 2016 12:26:22 +0200

mintbackup (2.2.3) sarah; urgency=medium

  [ Anthony Li ]
  * Fix named pipe handling bug (#846262 on launchpad)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 17 Aug 2016 12:22:37 +0200

mintbackup (2.2.2) sarah; urgency=medium

  [ leigh123linux ]
  * fix spelling mistakes

  [ Clement Lefebvre ]
  * Fix for #26

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 20 Jun 2016 09:54:30 +0100

mintbackup (2.2.1) sarah; urgency=medium

  * Fixed software selection restoration
  * Removed harcoded colors

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 19 Jun 2016 10:34:50 +0100

mintbackup (2.2.0) sarah; urgency=medium

  [ Michael Webster ]
  * mintbackup.py: use gdk_x11_window_get_xid() - we can't get it via .xid

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jun 2016 15:09:13 +0100

mintbackup (2.1.9) sarah; urgency=medium

  [ Daniel Alley ]
  * pep8 formatting
  * remove dh_python from build process
  * pygi-convert.sh first pass
  * added ui file
  * removed deprecated properties from ui file
  * removed glade file
  * update debian/control
  * lots of manual fixes, now hitting an X window system error
  * rearrange imports
  * reformatted docstrings
  * PEP8 formatting on "if" statements
  * mtwebster's fix for the 'X server BadAlloc' error
  * Python3 conversion
  * formatting
  * fixed unicode string error
  * added aptitude as a dependency
  * Moved .ui file fom /usr/lib to /usr/share
  * Moved icons to /usr/share, renamed folders from camelCase to lowercase
  * Replaced GtkHBox's with GtkBox's
  * Replaced GtkVBox's with GtkBox's
  * Fix command injection issue

  [ Clement Lefebvre ]
  * Fixed padding and border issues in UI file
  * Updated generated files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Apr 2016 13:59:43 +0100

mintbackup (2.1.8) sarah; urgency=medium

  [ djcj ]
  * update Debian files, fix command-with-path-in-maintainer-script

  [ monsta ]
  * Don't crash with glib >= 2.41

  [ Clement Lefebvre ]
  * Reviewed shebangs
  * Removed trailing spaces

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 19 Feb 2016 11:58:10 +0000

mintbackup (2.1.7) qiana; urgency=low

  * [ca9110c] Add trailing semicolon
  * [2bcbfb3] Update translations

 -- Frédéric Gaudet <fred@linuxmint.com>  Mon, 26 May 2014 13:41:06 +0200

mintbackup (2.1.6) qiana; urgency=low

  * [1ebec83] KDE desktop file generation
  * [5545856] New KDE4 desktop file
  * [3066d03] GNOME based desktop file hidden in KDE

 -- Frédéric Gaudet <fred@linuxmint.com>  Mon, 26 May 2014 11:30:56 +0200

mintbackup (2.1.5) qiana; urgency=medium

  * Updated desktop files

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 04 May 2014 02:24:40 +0100

mintbackup (2.1.4) qiana; urgency=medium

  * Fixed issues with Gtk.FileChooser
  * Removed about button

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Apr 2014 14:29:35 +0100

mintbackup (2.1.3) petra; urgency=low

  * Fixed typo

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 17 Jan 2014 09:57:01 +0000

mintbackup (2.1.2) petra; urgency=low

  * Added explicit dependencies on python-apt and python-vte

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 16 Dec 2013 10:48:00 +0000

mintbackup (2.1.1) petra; urgency=low

  * Fix desktop file

 -- Frédéric Gaudet <fred@linuxmint.com>  Fri, 08 Nov 2013 09:52:59 +0100

mintbackup (2.1.0) petra; urgency=low

  * New icon

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 19 Oct 2013 20:55:02 +0100

mintbackup (2.0.9) debian; urgency=low

  * Indentation and a few improvements (ignore empty lines in software list file) and call is_installed() on apt instead of the deprecated isInstalled().

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  27 Sep 2011 15:10:00 +0000

mintbackup (2.0.8) debian; urgency=low

  * https://bugs.launchpad.net/linuxmint/+bug/795132

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  31 Jul 2011 10:14:00 +0000

mintbackup (2.0.7) katya; urgency=low

  * https://bugs.launchpad.net/linuxmint/+bug/722522

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  31 Jul 2011 10:12:00 +0000

mintbackup (2.0.6) isadora; urgency=low

  * Updated desktop file

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  14 May 2010 10:35:00 +0000

mintbackup (2.0.5) isadora; urgency=low

  * Menu item now uses svg icon

 -- Clement Lefebvre <root@linuxmint.com>  Sat,  08 May 2010 19:09:00 +0000

mintbackup (2.0.4) isadora; urgency=low

  * Changed postinst to work with KDE
  * Permissions on software selection backup: made the containing folder "a+rx" and the software selection file "a+rw".

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  07 May 2010 12:41:00 +0000

mintbackup (2.0.3) isadora; urgency=low

  * Fixed inaccuracy in software selection

 -- Clement Lefebvre <root@linuxmint.com>  Sat,  24 Apr 2010 13:55:00 +0000

mintbackup (2.0.2) isadora; urgency=low

  * Bug fixes

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  20 Apr 2010 12:30:00 +0000

mintbackup (2.0.1) isadora; urgency=low

  * Bug fixes

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  18 Apr 2010 15:41:00 +0000

mintbackup (2.0.0) isadora; urgency=low

  * Complete rewrite

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  16 Apr 2010 19:02:00 +0000

mintbackup (1.6.2) gloria; urgency=low

  * Updated translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  19 May 2009 19:15:00 +0000

mintbackup (1.6.1) gloria; urgency=low

  * Added translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  17 May 2009 21:24:00 +0000

mintbackup (1.6) gloria; urgency=low

  * Added /usr/bin/mintbackup

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  22 Apr 2009 17:36:00 +0000

mintbackup (1.5.1) felicia; urgency=low

  * Added new translations

 -- Clement Lefebvre <clem@linuxmint.com>  Fri,  5 Dec 2008 22:30:00 +0000

mintbackup (1.5) elyssa; urgency=low

  * Fixed compatibility problem with dl module and AMD64 architecture

 -- Clement Lefebvre <clem@linuxmint.com>  Sun,  14 Sep 2008 20:03:00 +0000

mintbackup (1.4) elyssa; urgency=low

  * Fixed typo in German translation

 -- Clement Lefebvre <clem@linuxmint.com>  Tue,  3 Jun 2008 22:15:00 +0000

mintbackup (1.3) elyssa; urgency=low

  * Removed Gzip compression and MD5 integrity check (took too long and too much space)
  * Windows are now centered

 -- Clement Lefebvre <clem@linuxmint.com>  Fri,  16 May 2008 22:15:00 +0000

mintbackup (1.2) elyssa; urgency=low

  * Corrections to translations: fr, nb, no
  * New translations: it, ru, uk

 -- Clement Lefebvre <clem@linuxmint.com>  Sun,  17 Feb 2008 20:34:00 +0000

mintbackup (1.1) elyssa; urgency=low

  * HIG (Cancel button on the left)
  * Better fault-management
  * Translations: de  el  es  fr  nb  nl  pl  pt_BR  pt_PT  sv

 -- Clement Lefebvre <clem@linuxmint.com>  Thu,  17 Jan 2008 23:50:00 +0000  

mintbackup (1.0) romeo; urgency=low

  * Initial release

 -- clem <root@linuxmint.com>  Wed,  2 Jan 2008 18:18:00 +0000

